Bug 734865 - openais could use wrong sort queue if memb_join message sent during recovery
Summary: openais could use wrong sort queue if memb_join message sent during recovery
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais
Version: 5.7
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jan Friesse
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 732698
Blocks: 739084 739085 739086
TreeView+ depends on / blocked
 
Reported: 2011-08-31 17:02 UTC by Steven Dake
Modified: 2016-04-26 14:22 UTC (History)
9 users (show)

Fixed In Version: openais-0.80.6-32.el5
Doc Type: Bug Fix
Doc Text:
Under certain circumstances, the previous version of OpenAIS sometimes used an incorrect sort message queue when the "memb_join" message was sent during recovery. With this update, this error has been fixed, and OpenAIS now uses a correct sort message queue in this scenario.
Clone Of: 732698
Environment:
Last Closed: 2012-02-21 05:22:10 UTC


Attachments (Terms of Use)
Backported patch from corosync (1.69 KB, patch)
2011-09-01 08:50 UTC, Jan Friesse
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0180 normal SHIPPED_LIVE openais bug fix and enhancement update 2012-02-20 14:54:52 UTC

Comment 2 Jan Friesse 2011-09-01 08:50:54 UTC
Created attachment 520977 [details]
Backported patch from corosync

a memb_join operation that occurs during flushing can result in an
entry into the GATHER state from the RECOVERY state.  This results in the
regular sort queue being used instead of the recovery sort queue, resulting
in segfault.

Comment 8 Miroslav Svoboda 2011-11-03 20:34:19 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Under certain circumstances, the previous version of OpenAIS sometimes used an incorrect sort message queue when the "memb_join" message was sent during recovery. With this update, this error has been fixed, and OpenAIS now uses a correct sort message queue in this scenario.

Comment 12 errata-xmlrpc 2012-02-21 05:22:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0180.html


Note You need to log in before you can comment on or make changes to this bug.